public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-terms/root-tail/
Date: Thu, 15 Apr 2021 06:39:59 +0000 (UTC)	[thread overview]
Message-ID: <1618468738.e182d60c6e8ab1e1e2608e887d702649807488b7.juippis@gentoo> (raw)

commit:     e182d60c6e8ab1e1e2608e887d702649807488b7
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Wed Apr 14 14:35:55 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 06:38:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e182d60c

x11-terms/root-tail: fix build with -native-symlinks

Also swapped DEPEND with BDEPEND to put imake in the right block.

Closes: https://bugs.gentoo.org/726208
Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-terms/root-tail/root-tail-1.2-r4.ebuild | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/x11-terms/root-tail/root-tail-1.2-r4.ebuild b/x11-terms/root-tail/root-tail-1.2-r4.ebuild
index 410af2e4297..ea4f261a0a9 100644
--- a/x11-terms/root-tail/root-tail-1.2-r4.ebuild
+++ b/x11-terms/root-tail/root-tail-1.2-r4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -16,10 +16,10 @@ IUSE="kde debug"
 
 RDEPEND="x11-libs/libXext
 	x11-libs/libX11"
-DEPEND="x11-misc/imake
+DEPEND="${RDEPEND}"
+BDEPEND=">=x11-misc/imake-1.0.8-r1
 	app-text/rman
 	x11-base/xorg-proto
-	x11-libs/libX11
 	x11-misc/gccmakedep"
 
 src_prepare() {
@@ -28,15 +28,16 @@ src_prepare() {
 }
 
 src_configure() {
-	xmkmf -a
+	CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
+		IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf -a || die
 }
 
 src_compile() {
 	sed -i 's:/usr/X11R6/bin:/usr/bin:' Makefile || die "sed Makefile failed"
 	use debug && append-flags -DDEBUG
 	emake \
-		CC=$(tc-getCC) \
-		CCOPTIONS="${CFLAGS}" \
+		CC="$(tc-getCC)" \
+		CDEBUGFLAGS="${CFLAGS}" \
 		EXTRA_LDOPTIONS="${LDFLAGS}"
 }
 


             reply	other threads:[~2021-04-15  6:40 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-15  6:39 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-09-30 11:02 [gentoo-commits] repo/gentoo:master commit in: x11-terms/root-tail/ Ionen Wolkens
2021-10-10 20:44 Marek Szuba
2019-03-15  4:34 Aaron Bauman
2019-03-15  4:34 Aaron Bauman
2019-03-09 19:18 Thomas Deutschmann
2019-01-27 23:59 Andreas K. Hüttel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1618468738.e182d60c6e8ab1e1e2608e887d702649807488b7.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox